# List documents for a project as XML Fetches the list of documents from Studio scoped to projectId, then applies the transformation rule tagged {projectId}-list to produce XML. If the rule has addBinaryFile enabled, binary attachments are inlined as base64. Endpoint: GET /document-xml/documents Version: 2.51.0 Security: OAuth2 ## Query parameters: - `projectId` (string, required) Project identifier. Also selects the XSLT transformation rule applied to the Studio response ({projectId} for single documents, {projectId}-list for lists). - `state` (array) Filter by one or more document states (forwarded to Studio). - `limit` (integer) Maximum number of documents to return. - `offset` (integer) Number of documents to skip. - `sort` (array) Sort expressions forwarded to Studio (e.g. createdAt,desc). ## Response 400 fields (application/json): - `status` (integer, required) HTTP status code. Example: 400 - `title` (string, required) Short, human-readable summary of the error. Example: "Incorrect input" - `detail` (string, required) Human-readable explanation specific to this occurrence. Example: "Required request parameter 'projectId' is not present." - `errorAt` (string) Timestamp at which the error was produced. ## Response 401 fields (application/json): - `status` (integer, required) HTTP status code. Example: 400 - `title` (string, required) Short, human-readable summary of the error. Example: "Incorrect input" - `detail` (string, required) Human-readable explanation specific to this occurrence. Example: "Required request parameter 'projectId' is not present." - `errorAt` (string) Timestamp at which the error was produced. ## Response 403 fields (application/json): - `status` (integer, required) HTTP status code. Example: 400 - `title` (string, required) Short, human-readable summary of the error. Example: "Incorrect input" - `detail` (string, required) Human-readable explanation specific to this occurrence. Example: "Required request parameter 'projectId' is not present." - `errorAt` (string) Timestamp at which the error was produced. ## Response 404 fields (application/json): - `status` (integer, required) HTTP status code. Example: 400 - `title` (string, required) Short, human-readable summary of the error. Example: "Incorrect input" - `detail` (string, required) Human-readable explanation specific to this occurrence. Example: "Required request parameter 'projectId' is not present." - `errorAt` (string) Timestamp at which the error was produced. ## Response 422 fields (application/json): - `status` (integer, required) HTTP status code. Example: 400 - `title` (string, required) Short, human-readable summary of the error. Example: "Incorrect input" - `detail` (string, required) Human-readable explanation specific to this occurrence. Example: "Required request parameter 'projectId' is not present." - `errorAt` (string) Timestamp at which the error was produced. - `hypatosErrorMetaInfo` (object) - `hypatosErrorMetaInfo.invalidFields` (array) - `hypatosErrorMetaInfo.invalidFields.status` (integer, required) - `hypatosErrorMetaInfo.invalidFields.title` (string, required) - `hypatosErrorMetaInfo.invalidFields.detail` (string, required) - `hypatosErrorMetaInfo.invalidFields.fieldName` (string, required) Name of the field that failed validation. ## Response 500 fields (application/json): - `status` (integer, required) HTTP status code. Example: 400 - `title` (string, required) Short, human-readable summary of the error. Example: "Incorrect input" - `detail` (string, required) Human-readable explanation specific to this occurrence. Example: "Required request parameter 'projectId' is not present." - `errorAt` (string) Timestamp at which the error was produced.